<template>
  <div
    class="container-xxl"
  >
    <div class="row mt-5">
      <div class="col-12">
        <div class="card card-flush shadow-sm">
          <div class="card-header d-flex flex-column flex-md-row">
            <h3 class="card-title fw-bolder text-dark">
              Lista de asociaciones
            </h3>
            <div class="card-toolbar justify-content-end">
              <button
                class="btn btn-success shadow-sm"
                data-bs-toggle="modal"
                data-bs-target="#modal_asociacion_crear"
              >
                <i class="bi bi-plus-lg fs-4 me-2" />Agregar
              </button>
              <button
                class="btn btn-primary ms-5"
                @click="onAsociacionListar()"
              >
                <i class="bi bi-arrow-clockwise fs-4 me-2" />Actualizar
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-12">
        <tabla-listar
          ref="tablaAsociacionListar"
          @on-asociacion-editar="onAsociacionEditar"
          @on-asociacion-eliminar="onAsociacionEliminar"
        />
      </div>
    </div>

    <modal-crear @on-asociacion-listar="onAsociacionListar" />
    <modal-editar
      :asociacion="sAsociacion"
      @on-asociacion-listar="onAsociacionListar"
    />
    <modal-eliminar
      :asociacion="sAsociacion"
      @on-asociacion-listar="onAsociacionListar"
    />
  </div>
</template>
<script>
import TablaListar from '@/components/panel/asociacion/TablaAsociacionListar.vue';
import ModalCrear from '@/components/panel/asociacion/ModalAsociacionCrear.vue';
import ModalEditar from '@/components/panel/asociacion/ModalAsociacionEditar.vue';
import ModalEliminar from '@/components/panel/asociacion/ModalAsociacionEliminar.vue';

import Clonar from '@/core/util/Clonar.js';

export default {
  name: 'AsociacionListar',
  components: {
    TablaListar, ModalCrear, ModalEditar, ModalEliminar
  },
  data() {
    return {
      sAsociacion: {},
    }
  },

  methods: {
    onAsociacionListar() {
      this.$refs.tablaAsociacionListar.onAsociacionListar();
    },

    onAsociacionEditar(asociacion) {
      this.sAsociacion = Clonar.clon(asociacion);
    },

    onAsociacionEliminar(asociacion) {
      this.sAsociacion = Clonar.clon(asociacion);
    }
  }

}
</script>